 async function fetchIpAndWeather() {
    try {
        // 使用 ipinfo.io 获取 IP 地址和位置
        const ipResponse = await fetch('https://ipinfo.io/json?token=58004f869449fc'); // 替换为你的 API 密钥
        if (!ipResponse.ok) throw new Error('IP 地址获取失败');
        
        const ipData = await ipResponse.json();
        const ip = ipData.ip;
        const city = ipData.city;
        const region = ipData.region;
        const country = ipData.country;
        const countryCode = ipData.country.toLowerCase();

        // 使用 Flag Icons 类来显示国旗
        const flagClass = `flag-icon flag-icon-${countryCode}`;
        document.getElementById('ip-info').innerHTML = `IP: ${ip} (${city}, ${region}, ${country}) <i class="${flagClass}"></i>`;

        const [latitude, longitude] = ipData.loc.split(',');

        // 获取天气
        const weatherApiKey = '72975f4e3fc84f9ba68160451240111'; // 替换为你从 WeatherAPI.com 获取的 API 密钥
        const weatherResponse = await fetch(`https://api.weatherapi.com/v1/current.json?key=${weatherApiKey}&q=${latitude},${longitude}`);
        if (!weatherResponse.ok) throw new Error('天气获取失败');
        
        const weatherData = await weatherResponse.json();
        const temperature = weatherData.current.temp_c; // 获取摄氏温度
        const weatherDescription = weatherData.current.condition.text;
        const weatherIcon = weatherData.current.condition.icon;

        // 更新天气信息
        document.getElementById('weather-info').innerHTML = `天气: ${city}, ${country} - ${temperature}°C (${weatherDescription}) <img src="https:${weatherIcon}" alt="${weatherDescription}" style="width: 16px; vertical-align:middle;">`;
    } catch (error) {
        // 捕获错误并显示
        console.error("Error:", error.message);
        document.getElementById('ip-info').textContent = 'IP: 获取失败';
        document.getElementById('weather-info').textContent = '天气: 获取失败';
    }
}

// 调用函数以获取数据
fetchIpAndWeather();